local S = minetest.get_translator("default")

--
-- Node definitions
--

minetest.register_node(":technic_farming:mp_wind_mill", {
	description = S("MP wind mill"),
	tiles = {
		"technic_farming_wind_mill_top.png^[transformR180]",
		"technic_farming_wind_mill_bottom.png^[transformR180",
		"technic_farming_wind_mill_front.png",
		"technic_farming_wind_mill_back.png",
		"technic_farming_wind_mill_side.png",
		"technic_farming_wind_mill_side.png^[transformFX]"
	},
	paramtype2 = "facedir",
	groups = {cracky=2},
	legacy_facedir_simple = true,
	is_ground_content = false,
	sounds = default.node_sound_stone_defaults(),

})

minetest.register_craft({
	output = 'technic_farming:mp_wind_mill',
	recipe = {
		{'group:wool', 'group:wood',        'group:wool'},
		{'group:wood',     'technic_farming:wooden_plate', 'group:wood'},
		{'technic_farming:wooden_screw', 'group:wood',       'technic_farming:wooden_screw'},
	}
})
